CREATE TABLE TIPO_UH (
ID_TIPO_UH INTEGER NOT NULL PRIMARY KEY,
DESCRICAO VARCHAR(30),
ABREV VARCHAR(5),
P1 DECIMAL(5,2),
P2 DECIMAL(5,2),
P3 DECIMAL(5,2),
P4 DECIMAL(5,2)
);

CREATE GENERATOR GEN_ID_TIPO_UH ;

SET TERM ^;

CREATE TRIGGER TRIG_GEN_ID_TIPO_UH FOR TIPO_UH
ACTIVE BEFORE INSERT POSITION 0
AS
BEGIN
   NEW.ID_TIPO_UH = gen_id(GEN_ID_TIPO_UH,1);
END
^

COMMIT WORK^
SET TERM;^
